Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.core
Enum PropagationType

    java.lang.Object
      java.lang.Enum<PropagationType>
          org.jboss.seam.core.PropagationType

All Implemented Interfaces:
  Serializable, Comparable<PropagationType>

    public enum PropagationType

extends Enum<PropagationType>

Various options controlling how a conversation is propagated.

Author:
  Shane Bryzak

Enum Constant Summary
`BEGIN`
`END`
`JOIN`
`NEST`
`NONE`

Method Summary
`static PropagationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PropagationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEGIN

    public static final PropagationType BEGIN

### JOIN

    public static final PropagationType JOIN

### NEST

    public static final PropagationType NEST

### NONE

    public static final PropagationType NONE

### END

    public static final PropagationType END

Method Detail

### values

    public static final PropagationType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PropagationType c : PropagationType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PropagationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD